# classes/phing/tasks/system/condition/ConditionBase.php

## \ConditionBase
jump to top

Abstract baseclass for the <condition> task as well as several conditions - ensures that the types of conditions inside the task and the "container" conditions are in sync.

@author Hans Lellelid hans@xmpl.org

Extends from
  \ProjectComponent
Implements
author
  Andreas Aderhold
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system.condition
version
  $Revision: 557 $

### Properties

`$conditions= 'array'`
Default value `array` Details

Type

### Methods

`addAvailable( $a ) : void`
Parameters

Name | Type | Description
--- | --- | ---
$a |  |

`countConditions( ) :`
`createAnd( ) : \AndCondition`
Returns

Type | Description
--- | ---
\AndCondition |

`createContains( ) : \ContainsCondition`
Returns

Type | Description
--- | ---
\ContainsCondition |

`createEquals( ) : \EqualsCondition`
Returns

Type | Description
--- | ---
\EqualsCondition |

`createIsFalse( ) : \IsFalseCondition`
Returns

Type | Description
--- | ---
\IsFalseCondition |

`createIsSet( ) : \IsSetCondition`
Returns

Type | Description
--- | ---
\IsSetCondition |

`createIsTrue( ) : \IsTrueCondition`
Returns

Type | Description
--- | ---
\IsTrueCondition |

`createNot( ) : \NotCondition`
Returns

Type | Description
--- | ---
\NotCondition |

`createOr( ) : \OrCondition`
Returns

Type | Description
--- | ---
\OrCondition |

`createOs( ) : \OsCondition`
Returns

Type | Description
--- | ---
\OsCondition |

`createReferenceExists( ) : \ReferenceExistsCondition`
Returns

Type | Description
--- | ---
\ReferenceExistsCondition |

`getConditions( ) :`
`getIterator( ) :`
Required for IteratorAggregate

## \ConditionEnumeration
jump to top

"Inner" class for handling enumerations.

Uses build-in PHP5 iterator support.

Implements
package
  phing.tasks.system.condition

### Properties

`$num= '0'`

Current element number

Default value `0` Details

Type

`$outer= ''`

"Outer" ConditionBase class.

Details

Type

### Methods

`__construct( $outer ) :`
Parameters

Name | Type | Description
--- | --- | ---
$outer |  |

`current( ) :`
`key( ) :`
`next( ) :`
`rewind( ) :`
`valid( ) :`
Documentation was generated by DocBlox 0.13.1.